package com.jenny.networked_chests.mixins;

import com.jenny.networked_chests.items.items;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.inventory.ChestMenu;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;

@Mixin(ChestMenu.class)
public class ChestMenuMixin {
    /**
     * @author Jenny
     * @reason allow ChestInterface to keep chests open at greater distance
     */
    @Inject(method = "stillValid", at = @At("RETURN"), cancellable = true)
    public void stillValid(Player pPlayer, CallbackInfoReturnable<Boolean> cir) {
        if (pPlayer.getMainHandItem().getItem().getDescriptionId().equals(items.CHEST_INTERFACE.get().getDescriptionId())) {
            cir.setReturnValue(true);
        }
    }
}
